Bug 1299007 - Conflicts between gtk2 i686 / x86-64
Conflicts between gtk2 i686 / x86-64
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
22
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 11:52 EST by Bruce-Robert Pocock
Modified: 2016-07-19 16:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:16:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce-Robert Pocock 2016-01-15 11:52:06 EST
doc & locale files conflict between the i686 and x86-64 packages of gtk2, preventing parallel installation:

Error: Transaction check error:
  file /usr/share/doc/gtk2/NEWS from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/doc/gtk2/README from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/am/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/ang/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/as/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/ast/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/az/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/az_IR/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/be@latin/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/bg/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/bn/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/bn_IN/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/br/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/bs/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/ca/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/ca@valencia/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/crh/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/da/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/de/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/dz/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/en_CA/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/eo/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/es/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/et/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/eu/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/fa/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/fi/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/fr/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/ga/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/gu/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/hi/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/hr/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/hu/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/hy/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/id/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/io/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/is/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/ja/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/ka/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/kn/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/ko/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/ku/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/li/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/lv/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/mai/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/mi/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/mk/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/ml/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/mn/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/mr/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/ms/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/my/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/nb/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/nds/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/ne/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/nn/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/nso/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/oc/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/or/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/pa/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/ps/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/pt/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/pt_BR/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/ru/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/rw/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/si/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/sk/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/sl/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/sq/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/sr/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/sr@ije/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/sr@latin/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/sv/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/ta/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/te/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/tk/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/tr/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/tt/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/ug/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/uk/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/ur/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/uz/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/uz@cyrillic/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/vi/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/wa/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/xh/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/yi/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/locale/zh_HK/LC_MESSAGES/gtk20.mo from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64
  file /usr/share/man/man1/gtk-query-immodules-2.0.1.gz from install of gtk2-2.24.29-1.fc22.i686 conflicts with file from package gtk2-2.24.28-1.fc22.x86_64


— Using the deps solution list from dnf, I ran 

⇒ sudo dnf install atk.i686  avahi-libs.i686 cups-libs.i686 gdk-pixbuf2.i686 jasper-libs.i686 

(works)

then

⇒ sudo dnf install gtk2.i686

Last metadata expiration check performed 0:28:51 ago on Fri Jan 15 11:20:44 2016.
Dependencies resolved.
======================================================================================================================
 Package                 Arch                    Version                             Repository                  Size
======================================================================================================================
Installing:
 gtk2                    i686                    2.24.29-1.fc22                      updates                    3.4 M

Transaction Summary
======================================================================================================================
Install  1 Package

Total download size: 3.4 M
Installed size: 13 M
Is this ok [y/N]: y
Downloading Packages:
gtk2-2.24.29-1.fc22.i686.rpm                                                          2.5 MB/s | 3.4 MB     00:01    
----------------------------------------------------------------------------------------------------------------------
Total                                                                                 1.6 MB/s | 3.4 MB     00:02     
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  (fails as above)

⇒ find /var/cache/dnf/ -name gtk2*
/var/cache/dnf/updates-d28e3be95240972f/packages/gtk2-2.24.29-1.fc22.i686.rpm


⇒ sudo rpm -vhi --force /var/cache/dnf/updates-d28e3be95240972f/packages/gtk2-2.24.29-1.fc22.i686.rpm
Preparing...                          ################################# [100%]
Updating / installing...
   1:gtk2-2.24.29-1.fc22              ################################# [100%]

… and things seem all right, but eg,

 ⇒ rpm -qf /usr/share/locale/vi/LC_MESSAGES/gtk20.mo
gtk2-2.24.29-1.fc22.i686

… so I don't know if that's going to spiral out into future update issues.
Comment 1 notklaatu 2016-05-17 05:57:57 EDT
f23 same issue.

Ran `dnf update` and received identical errors.
Comment 2 Fedora End Of Life 2016-07-19 16:16:17 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.